### Function

# ECal util_generate_alarms_for_list

#### Declaration [src]

    gint
    e_cal_util_generate_alarms_for_list (
      GList* comps,
      time_t start,
      time_t end,
      ECalComponentAlarmAction* omit,
      GSList** comp_alarms,
      ECalRecurResolveTimezoneCb resolve_tzid,
      gpointer user_data,
      ICalTimezone* default_timezone
    )

#### Description [src]

Iterates through all the components in the `comps` list and generates alarm instances for them; putting them in the `comp_alarms` list. Free the `comp_alarms` with g_slist_free_full (comp_alarms, e_cal_component_alarms_free);, when no longer neeed.

See e_cal_util_generate_alarms_for_uid_sync().

#### Parameters

`comps`

  Type: A list of `None`

  List of `ECalComponent`s.

  The data is owned by the caller of the function.

`start`

  Type: `time_t`

  Start time.

`end`

  Type: `time_t`

  End time.

`omit`

  Type: `ECalComponentAlarmAction`

  Alarm types to omit.

  The data is owned by the caller of the function.

`comp_alarms`

  Type: A list of `ECalComponentAlarms*`

  List to be returned.

  The argument will be set by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

`resolve_tzid`

  Type: `ECalRecurResolveTimezoneCb`

  Callback for resolving timezones.

`user_data`

  Type: `gpointer`

  Data to be passed to the resolve_tzid callback.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`default_timezone`

  Type: `None`

  The timezone used to resolve DATE and floating DATE-TIME values.

  The data is owned by the caller of the function.

#### Return value

Type: `gint`

The number of elements it added to the list.